Subject: bug#1279: color output from external programs not working by default in eshell

From: nanothief <[email-masked]>
Date: Sat, 1 Nov 2008 12:27:15 +1000

> What does $TERM say in your shell?  Is this terminal type known to
> support color?  If so, specifying such a terminal type is an error and
> we try and figure out where it comes from so we can fix it.
Well running in eshell echo $TERM gives no output. and I often get the error 
message "tput: No value for $TERM and no -T specified". Running the command 
export TERM="dumb" stops the error messages, but the program still outputs in 
color.

Note that the program probably doesn't work correctly with a non-color shell, 
as it is meant as an advancement on another program, so it is unlikely the 
developers tested it with a non-color term. 

However, I'm not sure how relevant this is to this bug, as if eshell can be 
made to work easily with color, then why not set it as default?